diff --git a/third_party/BUILD b/third_party/BUILD
index 33d340d..ea130d6 100644
--- a/third_party/BUILD
+++ b/third_party/BUILD
@@ -509,6 +509,7 @@ genrule(
     cmd = "cp $< $@ && " +
           # End successfully if there is nothing to be deleted from the archive
           "if [ -n '" + UNNECESSARY_DYNAMIC_LIBRARIES + "' ]; then " +
+          "chmod +w $@;" +
           "zip -qd $@ " + UNNECESSARY_DYNAMIC_LIBRARIES + "; fi",
 )
 
